OpenJPEG 2.5.4

Data Fields
opj_t2 Struct Reference

Tier-2 coding. More...

`#include <t2.h>`

## Data Fields
opj_image_t * | image
| Encoding: pointer to the src image.
opj_cp_t * | cp
| pointer to the image coding parameters

## Detailed Description

Tier-2 coding.

## Field Documentation

## ◆ cp

opj_cp_t* opj_t2::cp

pointer to the image coding parameters

Referenced by opj_t2_create(), opj_t2_decode_packets(), opj_t2_encode_packets(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), and opj_t2_skip_packet_data().

## ◆ image

opj_image_t* opj_t2::image

Encoding: pointer to the src image.

Decoding: pointer to the dst image.

Referenced by opj_t2_create(), opj_t2_decode_packets(), and opj_t2_encode_packets().

The documentation for this struct was generated from the following file:

- t2.h